Subject: Re: bug#21624: Syntax weirdness lately

From: Daniel Colascione <[email-masked]>
Date: Mon, 5 Oct 2015 13:52:42 -0700

On 10/05/2015 01:50 PM, Dmitry Gutov wrote:
> On 10/05/2015 10:47 PM, Daniel Colascione wrote:
> 
>> Did we change something about how complex syntax rules work lately?
>> Revision history doesn't point to anything.
> 
> There have been some changes in syntax.c not too long ago, e.g. in
> 3928ef2dd5b8febf3b1d9c1bfb22af3698d16bea.

Thanks. I'll have to read the code. Since Stefan's changes touched the
syntax-propertize stuff and the problems I'm seeing involve that code
path, the on-demand stuff is a prime suspect. But I have no repro, and
I'm not particularly familiar with how the syntax machinery works.